package cn.hanghui.outapi.platform.alipay.constant;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 终端人脸识别应用参数
 */
@Data
@Component
public class AlipayOpenApiProperties {

    //2188
    @Value("${alipay.open.api.appid}")
    private String appId;

    @Value("${alipay.open.api.private-key}")
    private String alipayPrivateKey;

    @Value("${alipay.open.api.public-key}")
    private String alipayPublicKey;

    @Value("${alipay.open.api.service-url}")
    private String ALIPAY_SERVICE_URL;

    @Value("${alipay.open.api.format}")
    private String format;

    @Value("${alipay.open.api.charset}")
    private String charset;

    @Value("${alipay.open.api.sign-type}")
    private String signType;

    //消息监听
    @Value("${alipay.open.api.openchannelServiceUrl}")
    private String OPENCHANNEL_SERVICE_URL;

    
}
