package cn.hanghui.outapi.platform.alipay.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.dto
 * @class PushFaceInfoParamReq
 * @date 2024/5/20 下午3:36
 * @description
 */
@Data
public class PushFaceInfoParamReq implements Serializable {

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "身份证号")
    private String idcard;

    @ApiModelProperty(value = "现场刷脸照片base64")
    private String photoBase64;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date faceTime;

}
