package cn.hanghui.outapi.platform.alipay.entity.dto;

import com.alipay.api.domain.AlipayUserPicture;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.dto
 * @class PushFaceInfoReq
 * @date 2024/5/17 下午4:46
 * @description
 */
@Data
public class PushFaceInfoReq implements Serializable {

    @ApiModelProperty(value = "应用标识")
    private String appMark;

    @ApiModelProperty(value = "时间戳，即当前时间；格式为：年月日时分秒\n" +
            "实例：2024年05月01日 12时12分12秒\n" +
            "格式应写为20240501121212")
    private String time;

    @ApiModelProperty(value = "Md5(appmark + appword+time)")
    private String sign;

    @ApiModelProperty(value = "pushFaceInfoParamReq 加密参数")
    private String params;


}
